org.wildfly.swarm.config.logging

## Class SyslogHandler<T extends SyslogHandler<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.logging.SyslogHandler<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SyslogHandler<T extends SyslogHandler<T>>
      extends HashMap

  Defines a syslog handler.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyslogHandler.Facility`
    `static class` | `SyslogHandler.SyslogFormat`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `appName()` The app name used when formatting the message in RFC5424 format.
    `T` | `appName(String value)` The app name used when formatting the message in RFC5424 format.
    `Boolean` | `enabled()` If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.
    `T` | `enabled(Boolean value)` If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.
    `SyslogHandler.Facility` | `facility()` Facility as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424)and RFC-3164 (http://tools.ietf.org/html/rfc3164).
    `T` | `facility(SyslogHandler.Facility value)` Facility as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424)and RFC-3164 (http://tools.ietf.org/html/rfc3164).
    `String` | `getKey()`
    `String` | `hostname()` The name of the host the messages are being sent from.
    `T` | `hostname(String value)` The name of the host the messages are being sent from.
    `Level` | `level()` The log level specifying which message levels will be logged by this logger.
    `T` | `level(Level value)` The log level specifying which message levels will be logged by this logger.
    `Integer` | `port()` The port the syslog server is listening on.
    `T` | `port(Integer value)` The port the syslog server is listening on.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `serverAddress()` The address of the syslog server.
    `T` | `serverAddress(String value)` The address of the syslog server.
    `SyslogHandler.SyslogFormat` | `syslogFormat()` Formats the log message according to the RFC specification.
    `T` | `syslogFormat(SyslogHandler.SyslogFormat value)` Formats the log message according to the RFC specification.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SyslogHandler

          public SyslogHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### appName

          public String appName()

      The app name used when formatting the message in RFC5424 format. By default the app name is "java".

    - #### appName

          public T appName(String value)

      The app name used when formatting the message in RFC5424 format. By default the app name is "java".

    - #### enabled

          public Boolean enabled()

      If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.

    - #### enabled

          public T enabled(Boolean value)

      If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.

    - #### facility

          public SyslogHandler.Facility facility()

      Facility as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424)and RFC-3164 (http://tools.ietf.org/html/rfc3164).

    - #### facility

          public T facility(SyslogHandler.Facility value)

      Facility as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424)and RFC-3164 (http://tools.ietf.org/html/rfc3164).

    - #### hostname

          public String hostname()

      The name of the host the messages are being sent from. For example the name of the host the application server is running on.

    - #### hostname

          public T hostname(String value)

      The name of the host the messages are being sent from. For example the name of the host the application server is running on.

    - #### level

          public Level level()

      The log level specifying which message levels will be logged by this logger. Message levels lower than this value will be discarded.

    - #### level

          public T level(Level value)

      The log level specifying which message levels will be logged by this logger. Message levels lower than this value will be discarded.

    - #### port

          public Integer port()

      The port the syslog server is listening on.

    - #### port

          public T port(Integer value)

      The port the syslog server is listening on.

    - #### serverAddress

          public String serverAddress()

      The address of the syslog server.

    - #### serverAddress

          public T serverAddress(String value)

      The address of the syslog server.

    - #### syslogFormat

          public SyslogHandler.SyslogFormat syslogFormat()

      Formats the log message according to the RFC specification.

    - #### syslogFormat

          public T syslogFormat(SyslogHandler.SyslogFormat value)

      Formats the log message according to the RFC specification.

Copyright © 2018 JBoss by Red Hat. All rights reserved.